/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomDOMParser_H__
#define __GdomDOMParser_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "gdom/GdomDocument.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomDOMParser GdomDOMParser;
typedef struct _GdomDOMParserClass GdomDOMParserClass;


#define GDOM_TYPE_DOM_PARSER            (gdom_dom_parser_get_type())
#define GDOM_DOM_PARSER(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_DOM_PARSER, GdomDOMParser))
#define GDOM_DOM_PARSER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_DOM_PARSER, GdomDOMParser)Class)
#define GDOM_IS_DOM_PARSER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_DOM_PARSER))
#define GDOM_IS_DOM_PARSER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_DOM_PARSER))
#define GDOM_DOM_PARSER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_DOM_PARSER, GdomDOMParserClass))

typedef struct _GdomDOMParserPrivate GdomDOMParserPrivate;

struct _GdomDOMParser {
    GdomDOMObject parent_instance;
    GdomDOMParserPrivate *priv;
};

struct _GdomDOMParserClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_dom_parser_get_type (void);

WEBKIT_API GdomDocument *
gdom_dom_parser_parse_from_string (GdomDOMParser *thiz, gchar * str, gchar * content_type);

G_END_DECLS

#endif /* __GdomDOMParser_H__ */
